For the complete documentation index, see llms.txt. This page is also available as Markdown.

Default email templates

List default email templates

get

List all of default email templates

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/default_email_templates

Retrieve default details of template

get

Get details of default template by name.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestring · enumRequired

Name of the email template:
Can be either:

  • USER_CREATION: user creation notification.
  • QUEUE_CALL_LOST: call queue call lost notification.
  • QUEUE_SLA: call queue sla time reached notification.
  • QUEUE_CALLBACK: call queue callback notification.
  • QUEUE_CALLBACK_FAILED: call queue callback failed notification.
  • VOICEMAIL_RECEIVED: received voicemail notification.
  • CALL_REPORT_COMPLETED: call report completed notification.
  • DISK_LOW: low disk notification.
  • EMERGENCY_CALL: emergency call notification.
  • LICENSE_LIMITED: license limited notification.
  • RECHARGE: recharge notification.
  • CONFERENCE_INVITATION: meeting invitation notification.
  • TRUNK_CONNECTED: trunk connected notification.
  • TRUNK_DISCONNECTED: trunk disconnected notification.
Possible values:
Responses
200

OK

application/json
namestring · enumOptional

Name of the email template:
Can be either:

  • USER_CREATION: user creation notification.
  • QUEUE_CALL_LOST: call queue call lost notification.
  • QUEUE_SLA: call queue sla time reached notification.
  • QUEUE_CALLBACK: call queue callback notification.
  • QUEUE_CALLBACK_FAILED: call queue callback failed notification.
  • VOICEMAIL_RECEIVED: received voicemail notification.
  • CALL_REPORT_COMPLETED: call report completed notification.
  • DISK_LOW: low disk notification.
  • EMERGENCY_CALL: emergency call notification.
  • LICENSE_LIMITED: license limited notification.
  • RECHARGE: recharge notification.
  • CONFERENCE_INVITATION: meeting invitation notification.
  • TRUNK_CONNECTED: trunk connected notification.
  • TRUNK_DISCONNECTED: trunk disconnected notification.
Possible values:
fromstringOptional

Notification email from field.

subjectstringOptional

Notification email subject field.

bodystringOptional

Notification email body.

get/default_email_templates/{name}

Was this helpful?